# geos::operation::valid::RepeatedPointTester Class Reference

Implements the appropriate checks for repeated points (consecutive identical coordinates) as defined in the JTS spec. More...

`#include <RepeatedPointTester.h>`

List of all members.

## Public Member Functions

geom::Coordinate & | getCoordinate ()
bool | hasRepeatedPoint (const geom::Geometry *g)
bool | hasRepeatedPoint (const geom::CoordinateSequence *coord)

## Detailed Description

Implements the appropriate checks for repeated points (consecutive identical coordinates) as defined in the JTS spec.

The documentation for this class was generated from the following file:

- RepeatedPointTester.h